<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a>{:lang('ALL_HOOKS')}</a></li>
        <li><a href="{:url('Hook/sync')}">{:lang('SYNC_HOOK')}</a></li>
    </ul>
    <form action="" method="post" class="margin-top-20">
        <php>
            $types = ["1"=>lang('SYSTEM_HOOKS'),'2'=>lang('APPLICATION_HOOKS'),'3'=>lang('TEMPLATE_HOOKS'),'4'=>lang('ADMIN_TEMPLATE_HOOKS')];
        </php>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th width="40">ID</th>
                <th>{:lang('NAME')}</th>
                <th>{:lang('TYPE')}</th>
                <th>{:lang('DESCRIPTION')}</th>
                <th width="150">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="hooks" item="vo">
                <tr>
                    <td>{$vo.id}</td>
                    <td>{$vo.name}:{$vo.hook}</td>
                    <td>{$types[$vo.type]}</td>
                    <td>{$vo.description}</td>
                    <td>
                        <a class="btn btn-xs btn-primary"
                           href="javascript:parent.openIframeLayer('{:url('Hook/plugins',['hook'=>$vo['hook']])}','{:lang('HOOK')} {$vo.name} {:lang('PLUGIN_MANAGEMENT')}',{});">{:lang('MANAGE_PLUGINS')}</a>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
</body>
</html>